## org.eclipse.wst.validation
Enum Validator.Level

    java.lang.Object
      java.lang.Enum<Validator.Level>
          org.eclipse.wst.validation.Validator.Level

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Validator.Level>

Enclosing class:
  Validator

    public static enum Validator.Level

extends java.lang.Enum<Validator.Level>

The level of configuration for the validator.

- Extension - Defined by an extension point.
- Global - Defined by a global preference.
- Project - Defined by a project property.

Enum Constant Summary
`Extension`
`Global`
`Project`

Method Summary
`static Validator.Level` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Validator.Level[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Extension

    public static final Validator.Level Extension

### Global

    public static final Validator.Level Global

### Project

    public static final Validator.Level Project

Method Detail

### values

    public static Validator.Level[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Validator.Level c : Validator.Level.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Validator.Level valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null